{"openapi":"3.0.0","info":{"title":"NexHealth API","description":"Welcome to the developer hub and documentation for NexHealth API. This section of guide describes the operations, response parameters, request parameters, and parameter constraints related to User API. The term Operations refer to functions or methods. The operations are included in requests and send to the web server. Each operation performs a different action or a query on database.","termsOfService":"https://www.nexhealth.com/terms-of-service","contact":{"name":"NexHealth","email":"info@nexhealth.com"},"license":{"name":"NexHealth License 1.0","url":"https://www.nexhealth.com/privacy"},"version":"v20240412"},"security":[{"Authorization":[]}],"tags":[{"name":"Adjustments","description":"Adjustments resources"},{"name":"Adjustment Types","description":"Adjustment types used to create adjustment"},{"name":"Appointment Types","description":"Defines booking parameters for services offerred by the practice"},{"name":"Appointments","description":"A booking on the Practice's calendar"},{"name":"Authenticates","description":"Authentication endpoints for NexHealth resources"},{"name":"Available Slots","description":"Available start date/times for an appointment"},{"name":"Balances","description":"Guarantor and Insurance Balances resources"},{"name":"Charges","description":"Charges resources"},{"name":"Claims","description":"Claims resources"},{"name":"Clinical Notes","description":"Clinical notes are the official documentation of a patient's clinical encounter or care interaction"},{"name":"Conversations","description":"A group of text messages between a Practice and a Patient"},{"name":"Documents","description":"A documents resource"},{"name":"Document Types","description":"A document types resource"},{"name":"Fee Schedules","description":"A fee schedules resource"},{"name":"Forms","description":"A patient forms resource"},{"name":"Institutions","description":"An organization containing at least one location is refered to as Institution"},{"name":"Insurance","description":"An insurance resource"},{"name":"Locations","description":"A singular Practice/clinic/office"},{"name":"Nex Staff","description":"NexHealth staff users"},{"name":"Onboardings","description":"An Onboarding resource"},{"name":"Operatories","description":"A chair or room that can be booked"},{"name":"Patients","description":"A patients resource"},{"name":"Patient Alerts","description":"Short communication contents to Patients requiring a response"},{"name":"Patient Documents","description":"A patient documents resource"},{"name":"Patient Recalls","description":"Notifications used for encouraging patients to book follow-up appointments with providers"},{"name":"Payments","description":"Payments resources to view and create payments"},{"name":"Payment Plans","description":"Payment plans resource"},{"name":"Payment Types","description":"Payments types used to create payments"},{"name":"Procedures","description":"A procedures resource"},{"name":"Providers","description":"A providers resource"},{"name":"Recall Types","description":"A recall notification type"},{"name":"Sync Config","description":"A sync configuration resource"},{"name":"Sync Status","description":"Status of a NexHealth EHR synchronization service"},{"name":"Treatment Plans","description":"A treatment plans resource"},{"name":"Webhook Endpoints","description":"Save and configure API user endpoints for use with webhooks"},{"name":"Webhook Subscriptions","description":"Configure webhook subscriptions to receive event based hooks"},{"name":"Working Hours","description":"Configure working hours for providers"}],"paths":{"/adjustments":{"get":{"summary":"View adjustments","parameters":[{"in":"header","name":"Nex-Api-Version","description":"The NexHealth API version","required":true,"schema":{"type":"string","default":"v20240412"}},{"in":"query","name":"subdomain","description":"Used to scope the request to the specified institution","required":true,"schema":{"type":"string"}},{"in":"query","name":"location_id","description":"Used to scope the request to the specified location","required":true,"schema":{"type":"integer","format":"int32"}},{"in":"query","name":"patient_id","description":"Filter by patient","required":false,"schema":{"type":"integer","format":"int32"}},{"in":"query","name":"provider_id","description":"Filter by provider","required":false,"schema":{"type":"integer","format":"int32"}},{"in":"query","name":"guarantor_id","description":"Filter by guarantor","required":false,"schema":{"type":"integer","format":"int32"}},{"in":"query","name":"claim_id","description":"Filter by claim","required":false,"schema":{"type":"integer","format":"int32"}},{"in":"query","name":"charge_id","description":"Filter by charge","required":false,"schema":{"type":"integer","format":"int32"}},{"in":"query","name":"updated_since","description":"Adjustments updated after the specified time (UTC)","required":false,"schema":{"type":"string","format":"date-time"}},{"in":"query","name":"include_deleted","description":"Include deleted adjustments","required":false,"schema":{"type":"boolean","default":false}},{"in":"query","name":"sort","description":"Optional comma-separated string of fields to sort on.\nInclude a leading dash for descending order.\n\nAvailable fields:\n  * updated_at\n  * -updated_at\n","required":false,"schema":{"type":"string","default":null}},{"in":"query","name":"start_cursor","description":"First item of the current page. Starts empty","required":false,"schema":{"type":"string"}},{"in":"query","name":"end_cursor","description":"Last item of the current page. Starts empty","required":false,"schema":{"type":"string"}},{"in":"query","name":"per_page","description":"Number of results to return per page. Maximum allowed amount is 1000.","required":false,"schema":{"type":"integer","format":"int32","default":5}}],"responses":{"200":{"description":"Successful","content":{"application/json":{"schema":{"$ref":"#/components/schemas/API_V20240412_Entities_Ledger_Adjustment_Collection_Response_WithCursor"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/API_Errors_BadRequest"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/API_Errors_Unauthorized"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/API_Errors_Forbidden"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/API_Errors_InternalServerError"}}}}},"tags":["Adjustments"],"operationId":"getAdjustments"},"post":{"summary":"Create adjustment","parameters":[{"in":"header","name":"Nex-Api-Version","description":"The NexHealth API version","required":true,"schema":{"type":"string","default":"v20240412"}},{"in":"query","name":"subdomain","description":"Used to scope the request to the specified institution","required":true,"schema":{"type":"string"}},{"in":"query","name":"location_id","description":"Used to scope the request to the specified location","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/postAdjustments"}}},"required":true},"responses":{"202":{"description":"Create adjustment"},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/API_Errors_BadRequest"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/API_Errors_Unauthorized"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/API_Errors_Forbidden"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/API_Errors_InternalServerError"}}}}},"tags":["Adjustments"],"operationId":"postAdjustments"}},"/adjustments/{id}":{"get":{"summary":"View adjustment","parameters":[{"in":"header","name":"Nex-Api-Version","description":"The NexHealth API version","required":true,"schema":{"type":"string","default":"v20240412"}},{"in":"path","name":"id","required":true,"schema":{"type":"integer","format":"int64"}},{"in":"query","name":"subdomain","description":"Used to scope the request to the specified institution","required":true,"schema":{"type":"string"}},{"in":"query","name":"include[]","description":"Resources to be included in the response","required":false,"explode":true,"schema":{"type":"array","items":{"type":"string","enum":["patient","provider","guarantor","claim","charge","adjustment_type"]}}}],"responses":{"200":{"description":"Successful","content":{"application/json":{"schema":{"$ref":"#/components/schemas/API_V20240412_Entities_Ledger_AdjustmentWithIncludes_Response"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/API_Errors_BadRequest"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/API_Errors_Unauthorized"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/API_Errors_Forbidden"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/API_Errors_InternalServerError"}}}}},"tags":["Adjustments"],"operationId":"getAdjustmentsId"}},"/appointment_types":{"get":{"summary":"View appointment types","parameters":[{"in":"query","name":"subdomain","description":"Used to scope the request to the specified institution","required":true,"schema":{"type":"string"}},{"in":"query","name":"location_id","description":"Id of the associated location,required when appointment types are location specific and when including sub-resources","required":false,"schema":{"type":"integer","format":"int32"}},{"in":"query","name":"include[]","description":"Resources to be included in the response","required":false,"explode":true,"schema":{"type":"array","items":{"type":"string","enum":["descriptors"]}}}],"responses":{"200":{"description":"Successful","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_V2_Entities_AppointmentTypeWithResources_Collection_Response"}}}},"400":{"description":"Bad Request","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_BadRequest"}}}},"401":{"description":"Unauthorized","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_Unauthorized"}}}},"403":{"description":"Forbidden","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_Forbidden"}}}},"404":{"description":"Not Found","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_NotFound"}}}},"500":{"description":"Internal Server Error","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_InternalServerError"}}}}},"tags":["Appointment Types"],"operationId":"getAppointmentTypes"},"post":{"summary":"Create an appointment type","parameters":[{"in":"query","name":"subdomain","description":"Used to scope the request to the specified institution","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/postAppointmentTypes"}}},"required":true},"responses":{"201":{"description":"Successful","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_V2_Entities_AppointmentTypeBasic_Response"}}}},"400":{"description":"Bad Request","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_BadRequest"}}}},"401":{"description":"Unauthorized","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_Unauthorized"}}}},"403":{"description":"Forbidden","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_Forbidden"}}}},"404":{"description":"Not Found","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_NotFound"}}}},"500":{"description":"Internal Server Error","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_InternalServerError"}}}}},"tags":["Appointment Types"],"operationId":"postAppointmentTypes"}},"/appointment_types/{id}":{"patch":{"summary":"Edit an appointment type","parameters":[{"in":"path","name":"id","required":true,"schema":{"type":"integer","format":"int32"}},{"in":"query","name":"subdomain","description":"Used to scope the request to the specified institution","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/patchAppointmentTypesId"}}},"required":true},"responses":{"200":{"description":"Successful","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_V2_Entities_AppointmentTypeBasic_Response"}}}},"400":{"description":"Bad Request","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_BadRequest"}}}},"401":{"description":"Unauthorized","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_Unauthorized"}}}},"403":{"description":"Forbidden","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_Forbidden"}}}},"404":{"description":"Not Found","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_NotFound"}}}},"500":{"description":"Internal Server Error","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_InternalServerError"}}}}},"tags":["Appointment Types"],"operationId":"patchAppointmentTypesId"},"get":{"summary":"View an appointment type","parameters":[{"in":"path","name":"id","required":true,"schema":{"type":"integer","format":"int32"}},{"in":"query","name":"subdomain","description":"Used to scope the request to the specified institution","required":true,"schema":{"type":"string"}},{"in":"query","name":"location_id","description":"Id of the associated location,required when appointment types are location specific and when including sub-resources","required":false,"schema":{"type":"integer","format":"int32"}},{"in":"query","name":"include[]","description":"Resources to be included in the response","required":false,"explode":true,"schema":{"type":"array","items":{"type":"string","enum":["descriptors"]}}}],"responses":{"200":{"description":"Successful","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_V2_Entities_AppointmentTypeWithResources_Response"}}}},"400":{"description":"Bad Request","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_BadRequest"}}}},"401":{"description":"Unauthorized","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_Unauthorized"}}}},"403":{"description":"Forbidden","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_Forbidden"}}}},"404":{"description":"Not Found","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_NotFound"}}}},"500":{"description":"Internal Server Error","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_InternalServerError"}}}}},"tags":["Appointment Types"],"operationId":"getAppointmentTypesId"},"delete":{"summary":"Delete an appointment type","parameters":[{"in":"path","name":"id","required":true,"schema":{"type":"integer","format":"int32"}},{"in":"query","name":"subdomain","description":"Used to scope the request to the specified institution","required":true,"schema":{"type":"string"}},{"in":"query","name":"location_id","description":"Id of the associated location, required when appointment types are location specific","required":false,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Successful","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_V2_Entities_AppointmentTypeBasic_Response"}}}},"400":{"description":"Bad Request","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_BadRequest"}}}},"401":{"description":"Unauthorized","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_Unauthorized"}}}},"403":{"description":"Forbidden","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_Forbidden"}}}},"404":{"description":"Not Found","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_NotFound"}}}},"500":{"description":"Internal Server Error","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_InternalServerError"}}}}},"tags":["Appointment Types"],"operationId":"deleteAppointmentTypesId"}},"/appointment_types/{id}/appointment_descriptors":{"get":{"summary":"View appointment type appointment descriptors","parameters":[{"in":"path","name":"id","required":true,"schema":{"type":"integer","format":"int32"}},{"in":"query","name":"subdomain","description":"Used to scope the request to the specified institution","required":true,"schema":{"type":"string"}},{"in":"query","name":"location_id","description":"Id of the associated location, required when appointment types are location specific","required":false,"schema":{"type":"integer","format":"int32"}},{"in":"query","name":"descriptor_type","description":"Query by descriptor type","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_V2_Entities_EmrApptDescriptor_Collection_Response"}}}},"400":{"description":"Bad Request","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_BadRequest"}}}},"401":{"description":"Unauthorized","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_Unauthorized"}}}},"403":{"description":"Forbidden","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_Forbidden"}}}},"404":{"description":"Not Found","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_NotFound"}}}},"500":{"description":"Internal Server Error","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_InternalServerError"}}}}},"tags":["Appointment Types"],"operationId":"getAppointmentTypesIdAppointmentDescriptors"}},"/appointments/{id}":{"get":{"summary":"View appointment","parameters":[{"in":"path","name":"id","description":"Id of the appointment","required":true,"schema":{"type":"integer","format":"int64"}},{"in":"query","name":"subdomain","description":"Used to scope the request to the specified institution","required":true,"schema":{"type":"string"}},{"in":"query","name":"include[]","description":"Resources to be included in the response","required":false,"explode":true,"schema":{"type":"array","items":{"type":"string","enum":["patient","guarantor","descriptors","booking_details","procedures","operatory","appointment_type"],"default":["patient"]}}}],"responses":{"200":{"description":"Successful","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_V2_Entities_Appointment_Response"}}}},"400":{"description":"Bad Request","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_BadRequest"}}}},"401":{"description":"Unauthorized","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_Unauthorized"}}}},"403":{"description":"Forbidden","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_Forbidden"}}}},"404":{"description":"Not Found","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_NotFound"}}}},"500":{"description":"Internal Server Error","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_InternalServerError"}}}}},"tags":["Appointments"],"operationId":"getAppointmentsId"},"patch":{"summary":"Edit Appointment","parameters":[{"in":"header","name":"Nex-Api-Version","description":"The NexHealth API version","required":true,"schema":{"type":"string","default":"v20240412"}},{"in":"path","name":"id","description":"Id of the appointment","required":true,"schema":{"type":"integer","format":"int64"}},{"in":"query","name":"subdomain","description":"Used to scope the request to the specified institution","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/patchAppointmentsId"}}},"required":true},"responses":{"200":{"description":"Successful","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_V2_Entities_AppointmentResponse_Response"}}}},"400":{"description":"Bad Request","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_BadRequest"}}}},"401":{"description":"Unauthorized","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_Unauthorized"}}}},"403":{"description":"Forbidden","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_Forbidden"}}}},"404":{"description":"Not Found","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_NotFound"}}}},"500":{"description":"Internal Server Error","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_InternalServerError"}}}}},"tags":["Appointments"],"operationId":"patchAppointmentsId"}},"/appointments/{id}/appointment_descriptors":{"get":{"summary":"View appointment descriptors","parameters":[{"in":"path","name":"id","description":"Id of the appointment","required":true,"schema":{"type":"integer","format":"int64"}},{"in":"query","name":"subdomain","description":"Used to scope the request to the specified institution","required":true,"schema":{"type":"string"}},{"in":"query","name":"descriptor_type","description":"Query by descriptor type","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_V2_Entities_EmrApptDescriptor_Collection_Response"}}}},"400":{"description":"Bad Request","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_BadRequest"}}}},"401":{"description":"Unauthorized","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_Unauthorized"}}}},"403":{"description":"Forbidden","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_Forbidden"}}}},"404":{"description":"Not Found","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_NotFound"}}}},"500":{"description":"Internal Server Error","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_InternalServerError"}}}}},"tags":["Appointments"],"operationId":"getAppointmentsIdAppointmentDescriptors"}},"/appointments":{"get":{"summary":"View appointments","parameters":[{"in":"header","name":"Nex-Api-Version","description":"The NexHealth API version","required":true,"schema":{"type":"string","default":"v20240412"}},{"in":"query","name":"subdomain","description":"Used to scope the request to the specified institution","required":true,"schema":{"type":"string"}},{"in":"query","name":"location_id","description":"Used to scope the request to the specified location","required":false,"schema":{"type":"integer","format":"int32"}},{"in":"query","name":"sort","description":"Optional comma-separated string of fields to sort on.\nInclude a leading dash for descending order.\n\nAvailable fields:\n  * updated_at\n  * -updated_at\n","required":false,"schema":{"type":"string","default":null}},{"in":"query","name":"start","description":"A parseable date string defining the earliest returned records. Recommended format is YYYY-MM-DDThh:mm:ss+0000","required":true,"schema":{"type":"string","format":"date-time"}},{"in":"query","name":"end","description":"A parseable date string defining the last returned records. Recommended format is YYYY-MM-DDThh:mm:ss+0000","required":true,"schema":{"type":"string","format":"date-time"}},{"in":"query","name":"timezone","description":"Timezone for the appointment clinic","required":false,"schema":{"type":"string"}},{"in":"query","name":"cancelled","description":"Is appointment cancelled","required":false,"schema":{"type":"boolean"}},{"in":"query","name":"unavailable","description":"Unavailable appointments are used to block availability on a schedule, specify to set the filter","required":false,"schema":{"type":"boolean"}},{"in":"query","name":"nex_only","description":"Only show appointments booked via NexHealth API","required":false,"schema":{"type":"boolean"}},{"in":"query","name":"updated_since","description":"Query appointments whose records have updated since the specified datetime in ISO8601 format. Must be a parseable date/time, recommended formats are YYYY-MM-DD or YYYY-MM-DDT00:00:00+0000","required":false,"schema":{"type":"string","format":"date-time"}},{"in":"query","name":"appointment_type_id","description":"Get appointments for a specific appointment type","required":false,"schema":{"type":"integer","format":"int32"}},{"in":"query","name":"foreign_id","description":"Unique appointment id from the EMR","required":false,"schema":{"type":"string"}},{"in":"query","name":"patient_ids[]","description":"Get appointments for specific patients","required":false,"style":"form","explode":false,"schema":{"type":"array","items":{"type":"integer","format":"int32"}}},{"in":"query","name":"provider_ids[]","description":"Query appointments that are booked with the specified providers only","required":false,"style":"form","explode":false,"schema":{"type":"array","items":{"type":"integer","format":"int32"}}},{"in":"query","name":"operatory_ids[]","description":"Query appointments that are booked in the specified operatories only","required":false,"style":"form","explode":false,"schema":{"type":"array","items":{"type":"integer","format":"int32"}}},{"in":"query","name":"created_by","description":"Query appointments that were created by a specific user","required":false,"schema":{"type":"integer","format":"int32"}},{"in":"query","name":"start_cursor","description":"First item of the current page. Starts empty","required":false,"schema":{"type":"string"}},{"in":"query","name":"end_cursor","description":"Last item of the current page. Starts empty","required":false,"schema":{"type":"string"}},{"in":"query","name":"per_page","description":"Number of results to return per page. Maximum allowed amount is 1000.","required":false,"schema":{"type":"integer","format":"int32","default":5}}],"responses":{"200":{"description":"Successful","content":{"application/json":{"schema":{"$ref":"#/components/schemas/API_V2_Entities_AppointmentWithoutIncludes_Collection_Response_WithCursor"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/API_Errors_BadRequest"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/API_Errors_Unauthorized"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/API_Errors_Forbidden"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/API_Errors_NotFound"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/API_Errors_InternalServerError"}}}}},"tags":["Appointments"],"operationId":"getAppointments"},"post":{"summary":"Create appointment","parameters":[{"in":"header","name":"Nex-Api-Version","description":"The NexHealth API version","required":true,"schema":{"type":"string","default":"v20240412"}},{"in":"query","name":"subdomain","description":"Used to scope the request to the specified institution","required":true,"schema":{"type":"string"}},{"in":"query","name":"location_id","description":"Used to scope the request to the specified location","required":true,"schema":{"type":"integer","format":"int32"}},{"in":"query","name":"notify_patient","description":"Send NexHealth appointment created notifications to patient","required":false,"schema":{"type":"boolean","default":false}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/postAppointments"}}},"required":true},"responses":{"201":{"description":"Successful","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_V2_Entities_AppointmentResponse_Response"}}}},"400":{"description":"Bad Request","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_BadRequest"}}}},"401":{"description":"Unauthorized","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_Unauthorized"}}}},"403":{"description":"Forbidden","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_Forbidden"}}}},"404":{"description":"Not Found","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_NotFound"}}}},"500":{"description":"Internal Server Error","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_InternalServerError"}}}}},"tags":["Appointments"],"operationId":"postAppointments"}},"/authenticates":{"post":{"summary":"Retrieve bearer token","responses":{"201":{"description":"Successful","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_V2_Entities_AuthorizationResponse_Response"}}}},"401":{"description":"Unauthorized","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_Unauthorized"}}}},"500":{"description":"Internal Server Error","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_InternalServerError"}}}}},"tags":["Authenticates"],"operationId":"postAuthenticates"}},"/charges":{"get":{"summary":"View charges","parameters":[{"in":"header","name":"Nex-Api-Version","description":"The NexHealth API version","required":true,"schema":{"type":"string","default":"v20240412"}},{"in":"query","name":"subdomain","description":"Used to scope the request to the specified institution","required":true,"schema":{"type":"string"}},{"in":"query","name":"location_id","description":"Used to scope the request to the specified location","required":true,"schema":{"type":"integer","format":"int32"}},{"in":"query","name":"patient_id","description":"Filter by patient","required":false,"schema":{"type":"integer","format":"int32"}},{"in":"query","name":"provider_id","description":"Filter by provider","required":false,"schema":{"type":"integer","format":"int32"}},{"in":"query","name":"procedure_id","description":"Filter by procedure","required":false,"schema":{"type":"integer","format":"int32"}},{"in":"query","name":"guarantor_id","description":"Filter by guarantor","required":false,"schema":{"type":"integer","format":"int32"}},{"in":"query","name":"updated_since","description":"Charges updated after the specified time (UTC)","required":false,"schema":{"type":"string","format":"date-time"}},{"in":"query","name":"include[]","description":"Resources to be included in the response","required":false,"explode":true,"schema":{"type":"array","items":{"type":"string","enum":["claim_payouts"]}}},{"in":"query","name":"include_deleted","description":"Include deleted charges","required":false,"schema":{"type":"boolean","default":false}},{"in":"query","name":"sort","description":"Optional comma-separated string of fields to sort on.\nInclude a leading dash for descending order.\n\nAvailable fields:\n  * updated_at\n  * -updated_at\n","required":false,"schema":{"type":"string","default":null}},{"in":"query","name":"start_cursor","description":"First item of the current page. Starts empty","required":false,"schema":{"type":"string"}},{"in":"query","name":"end_cursor","description":"Last item of the current page. Starts empty","required":false,"schema":{"type":"string"}},{"in":"query","name":"per_page","description":"Number of results to return per page. Maximum allowed amount is 1000.","required":false,"schema":{"type":"integer","format":"int32","default":5}}],"responses":{"200":{"description":"Successful","content":{"application/json":{"schema":{"$ref":"#/components/schemas/API_V20240412_Entities_Ledger_ChargeWithClaimPayouts_Collection_Response_WithCursor"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/API_Errors_BadRequest"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/API_Errors_Unauthorized"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/API_Errors_Forbidden"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/API_Errors_InternalServerError"}}}}},"tags":["Charges"],"operationId":"getCharges"}},"/charges/{id}":{"get":{"summary":"View charge","parameters":[{"in":"header","name":"Nex-Api-Version","description":"The NexHealth API version","required":true,"schema":{"type":"string","default":"v20240412"}},{"in":"path","name":"id","required":true,"schema":{"type":"integer","format":"int32"}},{"in":"query","name":"subdomain","description":"Used to scope the request to the specified institution","required":true,"schema":{"type":"string"}},{"in":"query","name":"include[]","description":"Resources to be included in the response","required":false,"explode":true,"schema":{"type":"array","items":{"type":"string","enum":["patient","provider","procedure","guarantor","claims","claim_payouts","totals"]}}}],"responses":{"200":{"description":"Successful","content":{"application/json":{"schema":{"$ref":"#/components/schemas/API_V20240412_Entities_Ledger_Charge_Response"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/API_Errors_BadRequest"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/API_Errors_Unauthorized"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/API_Errors_Forbidden"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/API_Errors_InternalServerError"}}}}},"tags":["Charges"],"operationId":"getChargesId"}},"/conversations":{"get":{"description":"View conversations","parameters":[{"in":"query","name":"subdomain","description":"Used to scope the request to the specified institution","required":true,"schema":{"type":"string"}},{"in":"query","name":"location_id","description":"Used to scope the request to the specified location","required":true,"schema":{"type":"integer","format":"int32"}},{"in":"query","name":"page","description":"Page number. Starts with page 1","required":false,"schema":{"type":"integer","format":"int32","default":1}},{"in":"query","name":"per_page","description":"Number of results to return per page. Defaults is 5 per page and Max 300 per page","required":false,"schema":{"type":"integer","format":"int32","default":5}},{"in":"query","name":"patient_id","description":"Filter conversations based on the specific patient","required":false,"schema":{"type":"integer","format":"int32"}},{"in":"query","name":"status[]","description":"Filter based on conversation status. Multiple statuses can be used as a comma separated valueDefaults to visible filter enabled","required":false,"style":"form","explode":false,"schema":{"type":"array","items":{"type":"string","enum":["read","unread","visible","hidden"]}}},{"in":"query","name":"last_activity_before","description":"Only return conversations that had the last activity before specified time. Must be in format YYYY-MM-DDThh:mm:ss+0000","required":false,"schema":{"type":"string","format":"date-time"}}],"responses":{"200":{"description":"Successful","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_V2_Entities_Conversation_Collection_Response"}}}},"400":{"description":"Bad Request","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_BadRequest"}}}},"401":{"description":"Unauthorized","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_Unauthorized"}}}},"403":{"description":"Forbidden","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_Forbidden"}}}},"404":{"description":"Not Found","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_NotFound"}}}},"500":{"description":"Internal Server Error","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_InternalServerError"}}}}},"tags":["Conversations"],"operationId":"getConversations"},"post":{"description":"Create conversation","parameters":[{"in":"query","name":"subdomain","description":"Used to scope the request to the specified institution","required":true,"schema":{"type":"string"}},{"in":"query","name":"location_id","description":"Used to scope the request to the specified location","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/postConversations"}}},"required":true},"responses":{"201":{"description":"Successful","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_V2_Entities_Conversation_Response"}}}},"400":{"description":"Bad Request","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_BadRequest"}}}},"401":{"description":"Unauthorized","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_Unauthorized"}}}},"403":{"description":"Forbidden","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_Forbidden"}}}},"404":{"description":"Not Found","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_NotFound"}}}},"500":{"description":"Internal Server Error","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_InternalServerError"}}}}},"tags":["Conversations"],"operationId":"postConversations"}},"/conversations/{id}":{"get":{"description":"View conversation","parameters":[{"in":"path","name":"id","description":"The NexHealth id of the conversation","required":true,"schema":{"type":"integer","format":"int32"}},{"in":"query","name":"include[]","description":"relations to include","required":false,"style":"form","explode":false,"schema":{"type":"array","items":{"type":"string","enum":["messages","participants","unread_at"]}}},{"in":"query","name":"mark_as","description":"mark messages as read","required":false,"schema":{"type":"string","enum":["read"]}},{"in":"query","name":"subdomain","description":"Used to scope the request to the specified institution","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_V2_Entities_Conversation_Response"}}}},"400":{"description":"Bad Request","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_BadRequest"}}}},"401":{"description":"Unauthorized","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_Unauthorized"}}}},"403":{"description":"Forbidden","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_Forbidden"}}}},"404":{"description":"Not Found","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_NotFound"}}}},"500":{"description":"Internal Server Error","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_InternalServerError"}}}}},"tags":["Conversations"],"operationId":"getConversationsId"},"patch":{"description":"Update Conversation","parameters":[{"in":"path","name":"id","description":"The NexHealth id of the conversation","required":true,"schema":{"type":"integer","format":"int32"}},{"in":"query","name":"subdomain","description":"Used to scope the request to the specified institution","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/patchConversationsId"}}},"required":true},"responses":{"200":{"description":"Successful","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_V2_Entities_Conversation_Response"}}}},"400":{"description":"Bad Request","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_BadRequest"}}}},"401":{"description":"Unauthorized","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_Unauthorized"}}}},"403":{"description":"Forbidden","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_Forbidden"}}}},"404":{"description":"Not Found","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_NotFound"}}}},"500":{"description":"Internal Server Error","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_InternalServerError"}}}}},"tags":["Conversations"],"operationId":"patchConversationsId"}},"/conversations/{id}/messages":{"get":{"description":"Get conversation messages","parameters":[{"in":"query","name":"subdomain","description":"Used to scope the request to the specified institution","required":true,"schema":{"type":"string"}},{"in":"path","name":"id","description":"The NexHealth id of the conversation","required":true,"schema":{"type":"integer","format":"int32"}},{"in":"query","name":"before","required":false,"schema":{"type":"string","format":"date-time"}},{"in":"query","name":"count","required":false,"schema":{"type":"integer","format":"int32","minimum":1,"maximum":100,"default":10}}],"responses":{"200":{"description":"Successful","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_V2_Entities_ConversationMessageWithAppointment_Response"}}}},"400":{"description":"Bad Request","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_BadRequest"}}}},"401":{"description":"Unauthorized","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_Unauthorized"}}}},"403":{"description":"Forbidden","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_Forbidden"}}}},"404":{"description":"Not Found","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_NotFound"}}}},"500":{"description":"Internal Server Error","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_InternalServerError"}}}}},"tags":["Conversations"],"operationId":"getConversationsIdMessages"},"post":{"description":"Post Message","parameters":[{"in":"query","name":"subdomain","description":"Used to scope the request to the specified institution","required":true,"schema":{"type":"string"}},{"in":"path","name":"id","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/postConversationsIdMessages"}}},"required":true},"responses":{"200":{"description":"Successful","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_V2_Entities_ConversationMessage_Response"}}}},"400":{"description":"Bad Request","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_BadRequest"}}}},"401":{"description":"Unauthorized","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_Unauthorized"}}}},"403":{"description":"Forbidden","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_Forbidden"}}}},"404":{"description":"Not Found","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_NotFound"}}}},"500":{"description":"Internal Server Error","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_InternalServerError"}}}}},"tags":["Conversations"],"operationId":"postConversationsIdMessages"}},"/document_types":{"get":{"summary":"View document types","parameters":[{"in":"query","name":"subdomain","description":"Used to scope the request to the specified institution","required":true,"schema":{"type":"string"}},{"in":"query","name":"location_id","description":"Used to scope the request to the specified location","required":true,"schema":{"type":"integer","format":"int32"}},{"in":"query","name":"active","description":"Filter active/not active","required":false,"schema":{"type":"boolean","default":true}}],"responses":{"200":{"description":"Successful","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_V2_Entities_DocumentType_Collection_Response"}}}},"400":{"description":"Bad Request","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_BadRequest"}}}},"401":{"description":"Unauthorized","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_Unauthorized"}}}},"403":{"description":"Forbidden","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_Forbidden"}}}},"404":{"description":"Not Found","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_NotFound"}}}},"500":{"description":"Internal Server Error","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_InternalServerError"}}}}},"tags":["Document Types"],"operationId":"getDocumentTypes"}},"/document_types/{id}":{"get":{"summary":"View document type","parameters":[{"in":"path","name":"id","description":"The NexHealth ID of the document type","required":true,"schema":{"type":"integer","format":"int32"}},{"in":"query","name":"subdomain","description":"Used to scope the request to the specified institution","required":true,"schema":{"type":"string"}},{"in":"query","name":"location_id","description":"Used to scope the request to the specified location","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Successful","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_V2_Entities_DocumentType_Response"}}}},"400":{"description":"Bad Request","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_BadRequest"}}}},"401":{"description":"Unauthorized","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_Unauthorized"}}}},"403":{"description":"Forbidden","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_Forbidden"}}}},"404":{"description":"Not Found","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_NotFound"}}}},"500":{"description":"Internal Server Error","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_InternalServerError"}}}}},"tags":["Document Types"],"operationId":"getDocumentTypesId"}},"/forms/requests":{"post":{"summary":"Create form request","parameters":[{"in":"query","name":"subdomain","description":"Used to scope the request to the specified institution","required":true,"schema":{"type":"string"}},{"in":"query","name":"location_id","description":"Used to scope the request to the specified location","required":true,"schema":{"type":"integer","format":"int32"}},{"in":"query","name":"patient_id","description":"Patient id","required":true,"schema":{"type":"integer","format":"int32"}},{"in":"query","name":"form_ids[]","description":"An array of form ids","required":true,"explode":true,"schema":{"type":"array","items":{"type":"string"}}},{"in":"query","name":"appointment_id","description":"Appointment id","required":false,"schema":{"type":"integer","format":"int32"}},{"in":"query","name":"due_date","description":"The datetime by which the form must be filled out by the patient in UTC","required":false,"schema":{"type":"string","format":"date-time"}}],"responses":{"201":{"description":"Successful","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_V2_Entities_FormRequestBasic_Response"}}}},"400":{"description":"Bad Request","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_BadRequest"}}}},"401":{"description":"Unauthorized","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_Unauthorized"}}}},"403":{"description":"Forbidden","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_Forbidden"}}}},"404":{"description":"Not Found","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_NotFound"}}}},"500":{"description":"Internal Server Error","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_InternalServerError"}}}}},"tags":["Forms"],"operationId":"postFormsRequests","x-nex":{"supported_ehrs":["Curve","Denticon","Dentrix","Dentrix Ascend","Dentrix Enterprise","Eaglesoft","Open Dental","Orthotrac"]}}},"/forms/requests/{id}":{"get":{"summary":"View form request","parameters":[{"in":"path","name":"id","required":true,"schema":{"type":"string"}},{"in":"query","name":"subdomain","description":"Used to scope the request to the specified institution","required":true,"schema":{"type":"string"}},{"in":"query","name":"location_id","description":"Used to scope the request to the specified location","required":true,"schema":{"type":"integer","format":"int32"}},{"in":"query","name":"include[]","description":"Resources to be included in the response","required":false,"explode":true,"schema":{"type":"array","items":{"type":"string","enum":["documents"]}}}],"responses":{"200":{"description":"Successful","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_V2_Entities_FormRequestWithResources_Response"}}}},"400":{"description":"Bad Request","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_BadRequest"}}}},"401":{"description":"Unauthorized","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_Unauthorized"}}}},"403":{"description":"Forbidden","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_Forbidden"}}}},"404":{"description":"Not Found","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_NotFound"}}}},"500":{"description":"Internal Server Error","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_InternalServerError"}}}}},"tags":["Forms"],"operationId":"getFormsRequestsId","x-nex":{"supported_ehrs":["Curve","Denticon","Dentrix","Dentrix Ascend","Dentrix Enterprise","Eaglesoft","Open Dental","Orthotrac"]}}},"/institutions":{"get":{"summary":"View institutions","responses":{"200":{"description":"Successful","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_V2_Entities_Institution_Collection_Response"}}}},"401":{"description":"Unauthorized","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_Unauthorized"}}}},"500":{"description":"Internal Server Error","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_InternalServerError"}}}}},"tags":["Institutions"],"operationId":"getInstitutions"}},"/institutions/{id}":{"get":{"summary":"View institution","parameters":[{"in":"path","name":"id","description":"The NexHealth id of the institution","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Successful","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_V2_Entities_Institution_Response"}}}},"400":{"description":"Bad Request","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_BadRequest"}}}},"401":{"description":"Unauthorized","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_Unauthorized"}}}},"404":{"description":"Not Found","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_NotFound"}}}},"500":{"description":"Internal Server Error","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_InternalServerError"}}}}},"tags":["Institutions"],"operationId":"getInstitutionsId"}},"/insurance_plans":{"get":{"summary":"View insurance plans","parameters":[{"in":"header","name":"Nex-Api-Version","description":"The NexHealth API version","required":true,"schema":{"type":"string","default":"v20240412"}},{"in":"query","name":"subdomain","description":"Used to scope the request to the specified institution","required":true,"schema":{"type":"string"}},{"in":"query","name":"start_cursor","description":"First item of the current page. Starts empty","required":false,"schema":{"type":"string"}},{"in":"query","name":"end_cursor","description":"Last item of the current page. Starts empty","required":false,"schema":{"type":"string"}},{"in":"query","name":"per_page","description":"Number of results to return per page. Maximum allowed amount is 1000.","required":false,"schema":{"type":"integer","format":"int32","default":5}},{"in":"query","name":"sort","description":"Optional comma-separated string of fields to sort on.\nInclude a leading dash for descending order.\n\nAvailable fields:\n  * updated_at\n  * -updated_at\n","required":false,"schema":{"type":"string","default":null}},{"in":"query","name":"updated_since","description":"Insurance plans updated after the specified time (UTC)","required":false,"schema":{"type":"string","format":"date-time"}},{"in":"query","name":"payer_id","description":"A unique ID number that is assigned to an insurance company for the purpose of transmitting provider claims electronically","required":false,"schema":{"type":"string"}},{"in":"query","name":"group_num","description":"Group number","required":false,"schema":{"type":"string"}},{"in":"query","name":"include_deleted","description":"Include deleted insurance plans","required":false,"schema":{"type":"boolean","default":false}}],"responses":{"200":{"description":"Successful","content":{"application/json":{"schema":{"$ref":"#/components/schemas/API_Entities_Insurance_EhrPlan_Collection_Response_WithCursor"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/API_Errors_BadRequest"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/API_Errors_Unauthorized"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/API_Errors_Forbidden"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/API_Errors_InternalServerError"}}}}},"tags":["Insurance"],"operationId":"getInsurancePlans"}},"/insurance_plans/{id}":{"get":{"summary":"View insurance plan","parameters":[{"in":"header","name":"Nex-Api-Version","description":"The NexHealth API version","required":true,"schema":{"type":"string","default":"v20240412"}},{"in":"path","name":"id","description":"Id of the insurance plan","required":true,"schema":{"type":"integer","format":"int32"}},{"in":"query","name":"subdomain","description":"Used to scope the request to the specified institution","required":true,"schema":{"type":"string"}},{"in":"query","name":"include[]","description":"Resources to be included in the response","required":false,"explode":true,"schema":{"type":"array","items":{"type":"string","enum":["patient_coverages","subscribers","fee_schedule"]}}}],"responses":{"200":{"description":"Successful","content":{"application/json":{"schema":{"$ref":"#/components/schemas/API_V20240412_Entities_Insurance_EhrPlanWithIncludes_Response"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/API_Errors_BadRequest"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/API_Errors_Unauthorized"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/API_Errors_Forbidden"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/API_Errors_NotFound"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/API_Errors_InternalServerError"}}}}},"tags":["Insurance"],"operationId":"getInsurancePlansId"}},"/locations":{"get":{"summary":"View locations","parameters":[{"in":"query","name":"subdomain","description":"Used to scope the request to the specified institution","required":false,"schema":{"type":"string"}},{"in":"query","name":"inactive","description":"Filter by inactive status","required":false,"schema":{"type":"boolean"}},{"in":"query","name":"foreign_id","description":"Find location by the integrated system Id","required":false,"schema":{"type":"string"}},{"in":"query","name":"filter_by_subscription_feature","description":"Filter by subscription feature","required":false,"schema":{"type":"string","enum":["messaging","campaigns","reviews","recalls","reminders","online_booking","waitlist","forms","payments","ledger_sync","enterprise","insurance_verification"]}}],"responses":{"200":{"description":"Successful","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_V2_Entities_InstitutionBasicWithLocations_Collection_Response"}}}},"400":{"description":"Bad Request","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_BadRequest"}}}},"401":{"description":"Unauthorized","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_Unauthorized"}}}},"403":{"description":"Forbidden","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_Forbidden"}}}},"500":{"description":"Internal Server Error","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_InternalServerError"}}}}},"tags":["Locations"],"operationId":"getLocations"}},"/locations/{id}":{"get":{"summary":"View location","parameters":[{"in":"path","name":"id","description":"The NexHealth location id","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Successful","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Entities_Location_Response"}}}},"400":{"description":"Bad Request","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_BadRequest"}}}},"401":{"description":"Unauthorized","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_Unauthorized"}}}},"404":{"description":"Not Found","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_NotFound"}}}},"500":{"description":"Internal Server Error","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_InternalServerError"}}}}},"tags":["Locations"],"operationId":"getLocationsId"}},"/locations/{id}/appointment_descriptors":{"get":{"summary":"View location appointment descriptors","parameters":[{"in":"path","name":"id","description":"The NexHealth location id","required":true,"schema":{"type":"integer","format":"int32"}},{"in":"query","name":"descriptor_type","description":"Query by descriptor type","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_V2_Entities_EmrApptDescriptor_Collection_Response"}}}},"400":{"description":"Bad Request","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_BadRequest"}}}},"401":{"description":"Unauthorized","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_Unauthorized"}}}},"404":{"description":"Not Found","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_NotFound"}}}},"500":{"description":"Internal Server Error","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_InternalServerError"}}}}},"tags":["Locations"],"operationId":"getLocationsIdAppointmentDescriptors"}},"/nex_staff":{"get":{"summary":"View nex staff","parameters":[{"in":"query","name":"subdomain","description":"Used to scope the request to the specified institution","required":true,"schema":{"type":"string"}},{"in":"query","name":"page","description":"Page number. Starts with page 1","required":false,"schema":{"type":"integer","format":"int32","default":1}},{"in":"query","name":"per_page","description":"Number of results to return per page. Defaults is 5 per page and Max 300 per page","required":false,"schema":{"type":"integer","format":"int32","default":5}},{"in":"query","name":"inactive","required":false,"schema":{"type":"boolean"}},{"in":"query","name":"location_ids[]","description":"Locations the staff member has access to","required":false,"style":"form","explode":false,"schema":{"type":"array","items":{"type":"integer","format":"int32"}}}],"responses":{"200":{"description":"Successful","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_V2_Entities_Staff_Collection_Response"}}}},"400":{"description":"Bad Request","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_BadRequest"}}}},"401":{"description":"Unauthorized","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_Unauthorized"}}}},"403":{"description":"Forbidden","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_Forbidden"}}}},"500":{"description":"Internal Server Error","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_InternalServerError"}}}}},"tags":["Nex Staff"],"operationId":"getNexStaff"}},"/operatories":{"get":{"summary":"View operatories","parameters":[{"in":"header","name":"Nex-Api-Version","description":"The NexHealth API version","required":true,"schema":{"type":"string","default":"v20240412"}},{"in":"query","name":"subdomain","description":"Used to scope the request to the specified institution","required":true,"schema":{"type":"string"}},{"in":"query","name":"location_id","description":"Used to scope the request to the specified location","required":true,"schema":{"type":"integer","format":"int32"}},{"in":"query","name":"start_cursor","description":"First item of the current page. Starts empty","required":false,"schema":{"type":"string"}},{"in":"query","name":"end_cursor","description":"Last item of the current page. Starts empty","required":false,"schema":{"type":"string"}},{"in":"query","name":"per_page","description":"Number of results to return per page. Maximum allowed amount is 1000.","required":false,"schema":{"type":"integer","format":"int32","default":5}},{"in":"query","name":"search_name","description":"Optional name search filter","required":false,"schema":{"type":"string"}},{"in":"query","name":"foreign_id","description":"Query by EMR Id","required":false,"schema":{"type":"string"}},{"in":"query","name":"updated_since","description":"Query operatories whose records have updated since the specified datetime in ISO8601 format. Must be a parseable Date, recommended formats are YYYY-MM-DD or YYYY-MM-DDThh:mm:ss+0000","required":false,"schema":{"type":"string","format":"date-time"}},{"in":"query","name":"include[]","description":"Resources to be included in the response","required":false,"explode":true,"schema":{"type":"array","items":{"type":"string","enum":["appointment_types","appt_categories"],"default":["appt_categories"]}}}],"responses":{"200":{"description":"Successful","content":{"application/json":{"schema":{"$ref":"#/components/schemas/API_V2_Entities_OperatoryWithResources_Collection_Response_WithCursor"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/API_Errors_BadRequest"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/API_Errors_Unauthorized"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/API_Errors_Forbidden"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/API_Errors_NotFound"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/API_Errors_InternalServerError"}}}}},"tags":["Operatories"],"operationId":"getOperatories"}},"/operatories/{id}":{"get":{"summary":"View operatory","parameters":[{"in":"query","name":"subdomain","description":"Used to scope the request to the specified institution","required":true,"schema":{"type":"string"}},{"in":"path","name":"id","description":"The NexHealth id of the operatories","required":true,"schema":{"type":"integer","format":"int32"}},{"in":"query","name":"include[]","description":"Resources to be included in the response","required":false,"explode":true,"schema":{"type":"array","items":{"type":"string","enum":["appointment_types","appt_categories"],"default":["appt_categories"]}}}],"responses":{"200":{"description":"Successful","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_V2_Entities_OperatoryWithResources_Response"}}}},"400":{"description":"Bad Request","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_BadRequest"}}}},"401":{"description":"Unauthorized","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_Unauthorized"}}}},"403":{"description":"Forbidden","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_Forbidden"}}}},"404":{"description":"Not Found","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_NotFound"}}}},"500":{"description":"Internal Server Error","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_InternalServerError"}}}}},"tags":["Operatories"],"operationId":"getOperatoriesId"}},"/patients":{"get":{"summary":"View patients","description":"This endpoint returns a list of patients based on the optional filters configured.","parameters":[{"in":"header","name":"Nex-Api-Version","description":"The NexHealth API version","required":true,"schema":{"type":"string","default":"v20240412"}},{"in":"query","name":"subdomain","description":"Used to scope the request to the specified institution","required":true,"schema":{"type":"string"}},{"in":"query","name":"location_id","description":"Used to scope the request to the specified location","required":true,"schema":{"type":"integer","format":"int32"}},{"in":"query","name":"sort","description":"Optional comma-separated string of fields to sort on.\nInclude a leading dash for descending order.\n\nAvailable fields:\n  * id\n  * -id\n  * updated_at\n  * -updated_at\n","required":false,"schema":{"type":"string","default":"id"}},{"in":"query","name":"name","description":"Patient name","required":false,"schema":{"type":"string"}},{"in":"query","name":"email","description":"Patient email","required":false,"schema":{"type":"string"}},{"in":"query","name":"phone_number","description":"Patient phone number","required":false,"schema":{"type":"string"}},{"in":"query","name":"date_of_birth","description":"Patient date of birth. Must be a parseable date string, recommended formats is YYYY-MM-DD","required":false,"schema":{"type":"string","format":"date"}},{"in":"query","name":"inactive","required":false,"schema":{"type":"boolean"}},{"in":"query","name":"foreign_id","description":"Unique patient id from the EMR","required":false,"schema":{"type":"string"}},{"in":"query","name":"updated_since","description":"Only return messages created since specified date. Must be a parseable Date, recommended formats are YYYY-MM-DD or YYYY-MM-DDThh:mm:ss+0000","required":false,"schema":{"type":"string","format":"date-time"}},{"in":"query","name":"new_patient","description":"Filter patients by new_patient status. When true, returns only new patients with an upcoming appointment. When false, returns only non-new patients. When not specified, returns both regular patients and new patients with upcoming appointments. Patients with the attribute new_patient=true are patients that do not fully exist in the EMR so cannot be used to book appointments. When the patient record is officially created (and read by us) in the EMR, record associations will be created and any new_patient records are deleted.","required":false,"schema":{"type":"boolean"}},{"in":"query","name":"non_patient","description":"Specify if you want to filter non_patients. In case of true: return only non_patients. In case of false: Result does not include non_patients. In case of null: do not set filter/return any","required":false,"schema":{"type":"boolean"}},{"in":"query","name":"forms_syncable","description":"Specify if you want to filter to patients that can have forms inserted into their patient file. In case of true: Return only patients that can have forms inserted into their patient file. In case of false or nil: do not filter","required":false,"schema":{"type":"boolean"}},{"in":"query","name":"location_strict","description":"Only returns patients belonging to the specified location, rather than searching across the EHR system","required":false,"schema":{"type":"boolean","default":false}},{"in":"query","name":"start_cursor","description":"First item of the current page. Starts empty","required":false,"schema":{"type":"string"}},{"in":"query","name":"end_cursor","description":"Last item of the current page. Starts empty","required":false,"schema":{"type":"string"}},{"in":"query","name":"per_page","description":"Number of results to return per page. Maximum allowed amount is 1000.","required":false,"schema":{"type":"integer","format":"int32","default":5}}],"responses":{"200":{"description":"Successful","content":{"application/json":{"schema":{"$ref":"#/components/schemas/API_V20240412_Entities_PatientWithPrivacyAuthorization_Collection_Response_WithCursor"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/API_Errors_BadRequest"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/API_Errors_Unauthorized"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/API_Errors_Forbidden"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/API_Errors_NotFound"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/API_Errors_InternalServerError"}}}}},"tags":["Patients"],"operationId":"getPatients"},"post":{"summary":"Create patient","description":"This endpoint creates a new patient or returns an existing patient if return_existing_if_match is true.","parameters":[{"in":"header","name":"Nex-Api-Version","description":"The NexHealth API version","required":true,"schema":{"type":"string","default":"v20240412"}},{"in":"query","name":"subdomain","description":"Used to scope the request to the specified institution","required":true,"schema":{"type":"string"}},{"in":"query","name":"location_id","description":"Used to scope the request to the specified location","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/postPatients"}}},"required":true},"responses":{"201":{"description":"Successful","content":{"application/json":{"schema":{"$ref":"#/components/schemas/API_V2_Entities_PatientsResponses_Create_Response"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/API_Errors_BadRequest"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/API_Errors_Unauthorized"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/API_Errors_Forbidden"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/API_Errors_NotFound"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/API_Errors_InternalServerError"}}}}},"tags":["Patients"],"operationId":"postPatients"}},"/patients/{id}":{"get":{"summary":"View patient","description":"This endpoint returns a single patient. You must provide a valid patient NexHealth ID.","parameters":[{"in":"header","name":"Nex-Api-Version","description":"The NexHealth API version","required":true,"schema":{"type":"string","default":"v20240412"}},{"in":"query","name":"subdomain","description":"Used to scope the request to the specified institution","required":true,"schema":{"type":"string"}},{"in":"query","name":"include[]","description":"Resources to be included in the response","required":false,"explode":true,"schema":{"type":"array","items":{"type":"string","enum":["upcoming_appts","last_visited_appointment","children","guarantor","procedures","insurance_coverages","adjustments","charges","payments","patient_alerts","address","provider"]}}},{"in":"path","name":"id","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Successful","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_V20240412_Entities_PatientDetailed_Response"}}}},"400":{"description":"Bad Request","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_BadRequest"}}}},"401":{"description":"Unauthorized","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_Unauthorized"}}}},"403":{"description":"Forbidden","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_Forbidden"}}}},"404":{"description":"Not Found","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_NotFound"}}}},"500":{"description":"Internal Server Error","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_InternalServerError"}}}}},"tags":["Patients"],"operationId":"getPatientsId"}},"/patients/{id}/documents":{"get":{"summary":"View patient documents","parameters":[{"in":"path","name":"id","description":"Id of the patient","required":true,"schema":{"type":"integer","format":"int32"}},{"in":"query","name":"subdomain","description":"Used to scope the request to the specified institution","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_V2_Entities_PatientDocument_Collection_Response"}}}},"400":{"description":"Bad Request","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_BadRequest"}}}},"401":{"description":"Unauthorized","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_Unauthorized"}}}},"403":{"description":"Forbidden","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_Forbidden"}}}},"404":{"description":"Not Found","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_NotFound"}}}},"500":{"description":"Internal Server Error","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_InternalServerError"}}}}},"tags":["Patient Documents"],"operationId":"getPatientsIdDocuments"},"post":{"summary":"Create patient document","parameters":[{"in":"path","name":"id","description":"Id of the patient","required":true,"schema":{"type":"integer","format":"int32"}},{"in":"query","name":"subdomain","description":"Used to scope the request to the specified institution","required":true,"schema":{"type":"string"}},{"in":"query","name":"location_id","description":"Used to scope the request to the specified location","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"file":{"description":"The file being uploaded. The name of this file will be used when inserting the file into the EHRs filesystem","type":"string","format":"binary"},"document_type_id":{"description":"The id of the document type to assign to the uploaded document","type":"integer","format":"int32"}},"required":["file"]}}},"required":true},"responses":{"201":{"description":"Successful","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_V2_Entities_PatientDocument_Response"}}}},"400":{"description":"Bad Request","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_BadRequest"}}}},"401":{"description":"Unauthorized","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_Unauthorized"}}}},"403":{"description":"Forbidden","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_Forbidden"}}}},"404":{"description":"Not Found","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_NotFound"}}}},"500":{"description":"Internal Server Error","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_InternalServerError"}}}}},"tags":["Patient Documents"],"operationId":"postPatientsIdDocuments"}},"/patients/{id}/alerts":{"post":{"summary":"Create patient alert","parameters":[{"in":"path","name":"id","description":"Id of the patient","required":true,"schema":{"type":"integer","format":"int32"}},{"in":"query","name":"subdomain","description":"Used to scope the request to the specified institution","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/postPatientsIdAlerts"}}},"required":true},"responses":{"201":{"description":"Successful","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_V2_Entities_PatientAlert_Response"}}}},"400":{"description":"Bad Request","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_BadRequest"}}}},"401":{"description":"Unauthorized","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_Unauthorized"}}}},"403":{"description":"Forbidden","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_Forbidden"}}}},"404":{"description":"Not Found","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_NotFound"}}}},"500":{"description":"Internal Server Error","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_InternalServerError"}}}}},"tags":["Patient Alerts"],"operationId":"postPatientsIdAlerts"},"get":{"summary":"View patient alerts","parameters":[{"in":"path","name":"id","description":"Id of the patient","required":true,"schema":{"type":"integer","format":"int32"}},{"in":"query","name":"subdomain","description":"Used to scope the request to the specified institution","required":true,"schema":{"type":"string"}},{"in":"query","name":"include_disabled","description":"Include disabled patient alerts if true","required":false,"schema":{"type":"boolean"}}],"responses":{"200":{"description":"Successful","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_V2_Entities_PatientAlert_Collection_Response"}}}},"400":{"description":"Bad Request","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_BadRequest"}}}},"401":{"description":"Unauthorized","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_Unauthorized"}}}},"403":{"description":"Forbidden","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_Forbidden"}}}},"404":{"description":"Not Found","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_NotFound"}}}},"500":{"description":"Internal Server Error","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_InternalServerError"}}}}},"tags":["Patient Alerts"],"operationId":"getPatientsIdAlerts"}},"/patients/{id}/alerts/{alert_id}":{"get":{"summary":"View patient alert","parameters":[{"in":"path","name":"id","description":"Id of the patient","required":true,"schema":{"type":"integer","format":"int32"}},{"in":"path","name":"alert_id","required":true,"schema":{"type":"integer","format":"int32"}},{"in":"query","name":"subdomain","description":"Used to scope the request to the specified institution","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_V2_Entities_PatientAlert_Response"}}}},"400":{"description":"Bad Request","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_BadRequest"}}}},"401":{"description":"Unauthorized","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_Unauthorized"}}}},"403":{"description":"Forbidden","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_Forbidden"}}}},"404":{"description":"Not Found","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_NotFound"}}}},"500":{"description":"Internal Server Error","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_InternalServerError"}}}}},"tags":["Patient Alerts"],"operationId":"getPatientsIdAlertsAlertId"},"patch":{"summary":"Edit patient alert","parameters":[{"in":"path","name":"id","description":"Id of the patient","required":true,"schema":{"type":"integer","format":"int32"}},{"in":"path","name":"alert_id","required":true,"schema":{"type":"integer","format":"int32"}},{"in":"query","name":"subdomain","description":"Used to scope the request to the specified institution","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/patchPatientsIdAlertsAlertId"}}},"required":true},"responses":{"200":{"description":"Successful","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_V2_Entities_PatientAlert_Response"}}}},"400":{"description":"Bad Request","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_BadRequest"}}}},"401":{"description":"Unauthorized","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_Unauthorized"}}}},"403":{"description":"Forbidden","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_Forbidden"}}}},"404":{"description":"Not Found","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_NotFound"}}}},"500":{"description":"Internal Server Error","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_InternalServerError"}}}}},"tags":["Patient Alerts"],"operationId":"patchPatientsIdAlertsAlertId"}},"/patient_recalls":{"get":{"summary":"View patient recalls","parameters":[{"in":"header","name":"Nex-Api-Version","description":"The NexHealth API version","required":true,"schema":{"type":"string","default":"v20240412"}},{"in":"query","name":"subdomain","description":"Used to scope the request to the specified institution","required":true,"schema":{"type":"string"}},{"in":"query","name":"start_cursor","description":"First item of the current page. Starts empty","required":false,"schema":{"type":"string"}},{"in":"query","name":"end_cursor","description":"Last item of the current page. Starts empty","required":false,"schema":{"type":"string"}},{"in":"query","name":"per_page","description":"Number of results to return per page. Maximum allowed amount is 1000.","required":false,"schema":{"type":"integer","format":"int32","default":5}},{"in":"query","name":"location_id","description":"Used to scope the request to the specified location","required":true,"schema":{"type":"integer","format":"int32"}},{"in":"query","name":"recall_id","description":"Filter by recall_id","required":false,"schema":{"type":"integer","format":"int32"}},{"in":"query","name":"patient_id","description":"Filter by patient_id","required":false,"schema":{"type":"integer","format":"int32"}},{"in":"query","name":"foreign_id","description":"Filter by EMR id","required":false,"schema":{"type":"string"}},{"in":"query","name":"updated_since","description":"Return records updated since the specified date/time in ISO8601 format","required":false,"schema":{"type":"string","format":"date-time"}},{"in":"query","name":"due_after","description":"Return recalls due after specified date/time in ISO8601 format","required":false,"schema":{"type":"string","format":"date-time"}},{"in":"query","name":"sort","description":"Optional comma-separated string of fields to sort on.\nInclude a leading dash for descending order.\n\nAvailable fields:\n  * date_due\n  * -date_due\n","required":false,"schema":{"type":"string","default":null}}],"responses":{"200":{"description":"Successful","content":{"application/json":{"schema":{"$ref":"#/components/schemas/API_V2_Entities_PatientRecall_Collection_Response_WithCursor"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/API_Errors_BadRequest"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/API_Errors_Unauthorized"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/API_Errors_Forbidden"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/API_Errors_NotFound"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/API_Errors_InternalServerError"}}}}},"tags":["Patient Recalls"],"operationId":"getPatientRecalls"}},"/patient_recalls/{id}":{"get":{"summary":"View patient recall","parameters":[{"in":"path","name":"id","required":true,"schema":{"type":"integer","format":"int32"}},{"in":"query","name":"subdomain","description":"Used to scope the request to the specified institution","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_V2_Entities_PatientRecall_Response"}}}},"400":{"description":"Bad Request","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_BadRequest"}}}},"401":{"description":"Unauthorized","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_Unauthorized"}}}},"403":{"description":"Forbidden","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_Forbidden"}}}},"404":{"description":"Not Found","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_NotFound"}}}},"500":{"description":"Internal Server Error","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_InternalServerError"}}}}},"tags":["Patient Recalls"],"operationId":"getPatientRecallsId"}},"/payment_plans":{"get":{"summary":"View payment plans","parameters":[{"in":"query","name":"subdomain","description":"Used to scope the request to the specified institution","required":true,"schema":{"type":"string"}},{"in":"query","name":"location_id","description":"Used to scope the request to the specified location","required":true,"schema":{"type":"integer","format":"int32"}},{"in":"query","name":"sort","description":"Optional comma-separated string of fields to sort on.\nInclude a leading dash for descending order.\n\nAvailable fields:\n  * updated_at\n  * -updated_at\n","required":false,"schema":{"type":"string","default":null}},{"in":"query","name":"start_cursor","description":"First item of the current page. Starts empty","required":false,"schema":{"type":"string"}},{"in":"query","name":"end_cursor","description":"Last item of the current page. Starts empty","required":false,"schema":{"type":"string"}},{"in":"query","name":"per_page","description":"Number of results to return per page. Maximum allowed amount is 1000.","required":false,"schema":{"type":"integer","format":"int32","default":5}},{"in":"query","name":"patient_id","description":"Filter by patient","required":false,"schema":{"type":"integer","format":"int32"}},{"in":"query","name":"guarantor_id","description":"Filter by guarantor","required":false,"schema":{"type":"integer","format":"int32"}},{"in":"query","name":"updated_since","description":"Filter for payment plans updated since a specific time","required":false,"schema":{"type":"string","format":"date-time"}}],"responses":{"200":{"description":"Successful","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_V2_Entities_PaymentPlan_Collection_Response_WithCursor"}}}},"400":{"description":"Bad Request","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_BadRequest"}}}},"401":{"description":"Unauthorized","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_Unauthorized"}}}},"403":{"description":"Forbidden","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_Forbidden"}}}},"500":{"description":"Internal Server Error","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_InternalServerError"}}}}},"tags":["Payment Plans"],"operationId":"getPaymentPlans"}},"/payment_plans/{id}":{"get":{"summary":"View payment plan","parameters":[{"in":"path","name":"id","required":true,"schema":{"type":"integer","format":"int64"}},{"in":"query","name":"include[]","description":"Resources to be included in the response","required":false,"explode":true,"schema":{"type":"array","items":{"type":"string","enum":["patient","guarantor"]}}}],"responses":{"200":{"description":"Successful","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_V2_Entities_PaymentPlanDetailed_Response"}}}},"400":{"description":"Bad Request","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_BadRequest"}}}},"401":{"description":"Unauthorized","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_Unauthorized"}}}},"403":{"description":"Forbidden","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_Forbidden"}}}},"500":{"description":"Internal Server Error","content":{"application/vnd.Nexhealth+json;version=2":{"schema":{"$ref":"#/components/schemas/API_Errors_InternalServerError"}}}}},"tags":["Payment Plans"],"operationId":"getPaymentPlansId"}},"/payments":{"get":{"summary":"View payments","parameters":[{"in":"header","name":"Nex-Api-Version","description":"The NexHealth API version","required":true,"schema":{"type":"string","default":"v20240412"}},{"in":"query","name":"subdomain","description":"Used to scope the request to the specified institution","required":true,"schema":{"type":"string"}},{"in":"query","name":"location_id","description":"Used to scope the request to the specified location","required":true,"schema":{"type":"integer","format":"int32"}},{"in":"query","name":"patient_id","description":"Filter by patient","required":false,"schema":{"type":"integer","format":"int32"}},{"in":"query","name":"provider_id","description":"Filter by provider","required":false,"schema":{"type":"integer","format":"int32"}},{"in":"query","name":"guarantor_id","description":"Filter by guarantor","required":false,"schema":{"type":"integer","format":"int32"}},{"in":"query","name":"charge_id","description":"Filter by charge","required":false,"schema":{"type":"integer","format":"int32"}},{"in":"query","name":"claim_id","description":"Filter by claim","required":false,"schema":{"type":"integer","format":"int32"}},{"in":"query","name":"transaction_id","description":"Filter by transaction","required":false,"schema":{"type":"string"}},{"in":"query","name":"updated_since","description":"Filter for charges updated since a specific time","required":false,"schema":{"type":"string","format":"date-time"}},{"in":"query","name":"include_deleted","description":"Include deleted payments","required":false,"schema":{"type":"boolean","default":false}},{"in":"query","name":"sort","description":"Optional comma-separated string of fields to sort on.\nInclude a leading dash for descending order.\n\nAvailable fields:\n  * updated_at\n  * -updated_at\n","required":false,"schema":{"type":"string","default":null}},{"in":"query","name":"start_cursor","description":"First item of the current page. Starts empty","required":false,"schema":{"type":"string"}},{"in":"query","name":"end_cursor","description":"Last item of the current page. Starts empty","required":false,"schema":{"type":"string"}},{"in":"query","name":"per_page","description":"Number of results to return per page. Maximum allowed amount is 1000.","required":false,"schema":{"type":"integer","format":"int32","default":5}}],"responses":{"200":{"description":"Successful","content":{"application/json":{"schema":{"$ref":"#/components/schemas/API_V20240412_Entities_Ledger_Payment_Collection_Response_WithCursor"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/API_Errors_BadRequest"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/API_Errors_Unauthorized"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/API_Errors_Forbidden"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/API_Errors_InternalServerError"}}}}},"tags":["Payments"],"operationId":"getPayments"},"post":{"summary":"Create payment","parameters":[{"in":"header","name":"Nex-Api-Version","description":"The NexHealth API version","required":true,"schema":{"type":"string","default":"v20240412"}},{"in":"query","name":"subdomain","description":"Used to scope the request to the specified institution","required":true,"schema":{"type":"string"}},{"in":"query","name":"location_id","description":"Used to scope the request to the specified location","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/postPayments"}}},"required":true},"responses":{"202":{"description":"Create payment"},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/API_Errors_BadRequest"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/API_Errors_Unauthorized"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/API_Errors_Forbidden"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/API_Errors_InternalServerError"}}}}},"tags":["Payments"],"operationId":"postPayments"}},"/payment
[...]
